﻿using Business;
using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour CreerCompte.xaml
    /// </summary>
    public partial class CreerCompte : Window
    {
        /// <summary>
        ///  Page qui permet à un utilisateur de créer un compte
        /// </summary>
        public CreerCompte()
        {
            InitializeComponent();
        }


        /// <summary>
        /// ManagerUser lié à celui de l'app
        /// </summary>
        public ManagerUsers MgrUser => (Application.Current as App).LeManagerUsers;


        /// <summary>
        /// Evénement qui permet de quitter la page
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        /// <summary>
        /// Evénement qui permet d'ouvrir la page de connection
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Connection_Click(object sender, RoutedEventArgs e)
        {
            var connectWindow = new SeConnecter();
            Close();
            connectWindow.ShowDialog();
        }


        /// <summary>
        /// Evénement qui permet de créer un compte utilisateur
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void inscription_Click(object sender, RoutedEventArgs e)
        {
            //Récupère les informations rentrées par l'utilisateur
            string mail = email.LeContenu.Text;
            string password = mdp.Password;
            string conf = reMdp.Password;
            //TEst si les mots de passe sont identiques
            if (password != conf)
            {
                MessageBox.Show("Les mots de passe doivent être identiques");
            }
            //Test si toutes les informations ont été rentrées
            else if (string.IsNullOrWhiteSpace(mail) && string.IsNullOrWhiteSpace(password))
            {
                MessageBox.Show("Veuillez remplir toutes les cases");
            }
            else
            {
                Utilisateur user = new Utilisateur(mail, password);
                //Test si l'utilisateur a bien été créé et ajout"
                if (MgrUser.AjouterUtilisateur(user))
                {
                    MgrUser.SelectedUser = user;
                    Close();
                }
                else
                {
                    MessageBox.Show("Cet utilisateur existe déjà");
                }
            }
        }
    }
}
